Package: smb4k
Version: 0.10.4-1
Severity: normal

Hi,
        I am unable to mount shares as a non-root user anymore.  This is 
because 
mount.cifs and mount.smbfs no longer are setuid as of smbfs=2:3.4.5~dfsg-2 .  
I opened a bug #572838 with "samba", but they closed it telling me that this 
is intentional:

smbfs (2:3.4.5~dfsg-2) unstable; urgency=low

  * As of this version, the mount.cifs binary is no longer setuid.
    Upstream has always been increasingly unsupportive of this
    configuration over time. For instance, in bugs like
    https://bugzilla.samba.org/show_bug.cgi?id=6853, it is clearly
    mentioned that having it setuid root is discouraged.

 -- Christian Perrier <bubu...@debian.org>  Sat, 06 Feb 2010 15:09:00 +0100


Any work-arounds?  Run smb4k as root?  Maybe some kind of policykit thing-of-
a-ma-bob?  Thanks!

        C.



--- System information. ---
Architecture: i386
Kernel:       Linux 2.6.33

Debian Release: squeeze/sid
  990 testing         security.debian.org 
  990 testing         ftp.us.debian.org 
  990 hardy           linux.dell.com 
  990 cross-distro    linux.dell.com 
  980 testing         mirror.csclub.uwaterloo.ca 
  500 stable          ftp.egr.msu.edu 
   50 unstable        ftp.egr.msu.edu 
   40 experimental    ftp.egr.msu.edu 
   30 lucid           us.archive.ubuntu.com 
   30 intrepid        us.archive.ubuntu.com 
   25 unstable        mirror.csclub.uwaterloo.ca 

--- Package information. ---
Depends                  (Version) | Installed
==================================-+-==============
kdebase-runtime       (>= 4:4.3.0) | 4:4.3.4-2
kdelibs5              (>= 4:4.3.1) | 4:4.3.4-1
libc6                (>= 2.3.6-6~) | 2.10.2-6
libgcc1               (>= 1:4.1.1) | 1:4.4.2-9
libqt4-dbus           (>= 4:4.5.2) | 4:4.5.3-4
libqt4-network        (>= 4:4.5.2) | 4:4.5.3-4
libqt4-svg            (>= 4:4.5.2) | 4:4.5.3-4
libqt4-xml            (>= 4:4.5.2) | 4:4.5.3-4
libqtcore4            (>= 4:4.5.2) | 4:4.5.3-4
libqtgui4             (>= 4:4.5.2) | 4:4.5.3-4
libstdc++6              (>= 4.2.1) | 4.4.2-9
samba-common-bin                   | 2:3.4.5~dfsg-2
smbclient                          | 2:3.4.5~dfsg-2
smbfs                              | 2:3.4.5~dfsg-2


Recommends      (Version) | Installed
=========================-+-===========
super                     | 
 OR sudo                  | 1.7.2p1-1


Suggests            (Version) | Installed
=============================-+-===========
kwalletmanager                | 







_______________________________________________
pkg-kde-extras mailing list
pkg-kde-extras@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-kde-extras

Reply via email to